<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Oficina_de_Suport_theme
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function ofisuport_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
	}

	return $classes;
}
add_filter( 'body_class', 'ofisuport_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function ofisuport_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'ofisuport_pingback_header' );


function ofisuport_echo_posttype_slug() {
  $post_type = get_post_type();
  if ( $post_type )
  {
      $post_type_data = get_post_type_object( $post_type );
      $post_type_slug = $post_type_data->rewrite['slug'];
      echo $post_type_slug;
  };
}

function ofisuport_class_posttype (){
	if( is_post_type_archive( array('ofisuport-ajut') )) {
		echo '  archive-custom-post-type-';
		ofisuport_echo_posttype_slug(); 
	}
}
