<?php
/**
 * Template part for displaying featured posts or "ajuts" and widgets
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Oficina_de_Suport_theme
 */

?>

<aside>
  <?php
        // Detect plugin. For use on Front End only.
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
        // check for plugin using plugin name
    if ( is_plugin_active( 'oficinasuport-wp-plugin/ofisuport-wp-plugin.php' ) ) {
        //plugin is activated do
    ?>
    <header>
      <h1> <?php echo esc_html__('Destacats', 'ofisuport'); ?></h1>
    </header>
	  <main id="destacats" class="ofisuport-destacats ofisuport-featured">
   
     <?php 
     // https://developer.wordpress.org/reference/functions/get_posts/
     // https://www.advancedcustomfields.com/resources/true-false/
     $the_query = new WP_Query(
       array(
         'post_type' => 'any',
         'post_per_page' => '4',
         'meta_query' => array(
             array(
               'key' => 'os_home_show',
               'value'=> '1',
             )
           )
       ) );
     ?>
     <?php if ( $the_query->have_posts() ) : ?> 
       <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
   
   
      <article class="">
         <h3 class="entry-title">
           <a href="<?php the_permalink(); ?>" rel="bookmark">
             <?php the_title(); ?>
           </a>
         </h3>
         <?php if( get_field('os_funder_name') ): ?> 
           <p class="ofisuport-funder-name"><?php the_field('os_funder_name'); ?></p>
         <?php endif; ?>
         <section class="excerpt post-excerpt">
           <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
           </a>
             <?php the_excerpt() ?>
         </section>
         <aside>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_target') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_source') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_field') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_apply_begin') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_apply_end') ); ?>
           <?php get_template_part( 'template-parts/section', 'list-checkbox', array('iterate_field' => 'os_fund_call') ); ?>
         </aside>
         <button class="button button-more" >
           <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">accedeix</a>
         </button>
       </article>
   
       <?php endwhile;//end of the loop ?>
     <?php wp_reset_postdata(); ?>
     <?php else : //if no post in query ?>
         <p class="no-content"></p>
     <?php endif; //end query ?>
   
   
   
    </main>
  <?php  } //closing if is_plugin_active ?>
	<?php dynamic_sidebar( 'front-page-widgets' ); // including widget front page?>
</aside>
